Summary:	Components and library for GNOME development tools
Name:		libgdl
Version:	2.30.0
Release:	1%{?dist}
License:	LGPLv2+
Group:		Development/Libraries
URL:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/gdl/2.30/gdl-%{version}.tar.bz2

Patch0:		%{name}-%{version}-pkgconfig.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gettext
BuildRequires:	gtk2-devel

%if 0%{?fc13}
BuildRequires:	gtk-doc
%endif

BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	perl(XML::Parser)

%description
GNOME Devtool Libraries contains components and libraries that are intended to
be shared between GNOME development tools, including anjuta2, gnome-build and
gnome-debug.

The current pieces of GDL include:
 * A symbol browser bonobo component (symbol-browser-control).
 * A docking widget (gdl).
 * A utility library that also contains the stubs and skels for the symbol
   browser and text editor components (gdl, idl).

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:	gtk-doc
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q -n gdl-%{version}
%patch0 -p1

%build
%configure --disable-static --enable-gtk-doc

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%find_lang gdl-1

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gdl-1.lang
%defattr (-,root,root,-)
%doc AUTHORS
%doc COPYING
%doc MAINTAINERS
%doc NEWS
%doc README
%{_libdir}/%{name}-1.so.*

%dir %{_datadir}/gdl
%{_datadir}/gdl/ui

%files devel
%defattr (-,root,root,-)
%{_libdir}/%{name}-1.so
%{_libdir}/pkgconfig/gdl-1.0.pc

%dir %{_datadir}/gtk-doc/html/gdl
%doc %{_datadir}/gtk-doc/html/gdl/*

%dir %{_includedir}/%{name}-1.0
%{_includedir}/%{name}-1.0/gdl

%changelog
* Mon Apr 26 2010 Debarshi Ray <rishi@fedoraproject.org> - 2.30.0-1
- Version bump to 2.30.0.
  * Add a "selected" signal to GdlDockItem.
  * Iconify button now iconifies entire switcher, not just that particular
    item.
  * Do not make dock windows transient. (GNOME Bugzilla #570263)
  * Changed license notice in gdl.h to LGPLv2+. (GNOME Bugzilla #603041)
  * http://download.gnome.org/sources/gdl/2.29/gdl-2.29.92.news
- Mixed source licensing changed to LGPLv2+, and restored COPYING.

* Thu Jan 21 2010 Debarshi Ray <rishi@fedoraproject.org> - 2.28.2-1
- Version bump to 2.28.2.
  * Fix for Gtk+ client-side windows.
  * http://download.gnome.org/sources/gdl/2.28/gdl-2.28.2.news

* Fri Oct 30 2009 Debarshi Ray <rishi@fedoraproject.org> - 2.28.1-2
- Added 'BuildRequires: gtk-doc' for Fedora 13 onwards.

* Fri Oct 30 2009 Debarshi Ray <rishi@fedoraproject.org> - 2.28.1-1
- Version bump to 2.28.1.
  * Added new GdlSwitcherStyle name GDL_SWITCHER_STYLE_NONE. (GNOME Bugzilla
    #589317)
  * Translation updates.
  * http://download.gnome.org/sources/gdl/2.28/gdl-2.28.1.news
  * http://download.gnome.org/sources/gdl/2.27/gdl-2.27.92.news
- Simplified mixed source licensing. There are no GPLv2 files left.

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 2.27.3-3
- Use bzipped upstream tarball.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.27.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Debarshi Ray <rishi@fedoraproject.org> - 2.27.3-1
- Version bump to 2.27.3.
  * Fixed soname generation.
  * Private API hidden.
  * Fixed invisible buttons in HighContrastInverse theme. (GNOME Bugzilla
    #471317)
  * Removed GdlComboButton. Use GtkMenuToolButton instead. (GNOME Bugzilla
    #560820)
  * Optional grip handle hatching. (GNOME Bugzilla #577001)
  * Fixed layout bug in the grip widget headers. (GNOME Bugzilla #577107)
  * GNOME Goal: removed deprecated Gtk+ symbols. (GNOME Bugzilla #577469)
  * Implemented gdl_dock_item_grip_remove. (GNOME Bugzilla #578967)
  * gdl_dock_placeholder_new takes a const gchar*. (GNOME Bugzilla #577938)
  * Fixed grip layout bug where negative rectangles are possible. (GNOME
    Bugzilla #579057)
  * Get rid of libgnome. (GNOME Bugzilla #580860)
  * Ported to GtkBuilder. (GNOME Bugzilla #582511)
  * http://ftp.gnome.org/pub/GNOME/sources/gdl/2.27/gdl-2.27.3.news
  * http://ftp.gnome.org/pub/GNOME/sources/gdl/2.27/gdl-2.27.2.news
- Fix to show objects docked to a GdlDockPaned accepted by upstream.
- Replaced 'BuildRequires: libglade2-devel' with
  'BuildRequires: gtk2-devel libxml2-devel'.

* Fri Jul 10 2009 Debarshi Ray <rishi@fedoraproject.org> - 2.26.2-1
- Version bump to 2.26.2.
  * Translation updates: ar, be, ca@valencia, el, jp and sk.
  * http://ftp.gnome.org/pub/GNOME/sources/gdl/2.26/gdl-2.26.2.news
- Ensure that objects docked to a GdlDockPaned are shown. (GNOME Bugzilla
  #584418)

* Tue Mar 31 2009 Debarshi Ray <rishi@fedoraproject.org> - 2.26.0-1
- Version bump to 2.26.0.
  * Fixed Valgrind violation. (GNOME Bugzilla #574172)
  * Translation updates: el, pl, gl, he, gu, te, cs and or.

* Tue Mar 10 2009 Debarshi Ray <rishi@fedoraproject.org> - 2.25.92-1
- Version bump to 2.25.92.
  * Fixed locked layout mode. (GNOME Bugzilla #573522)
  * Fixed dock/undock/reset behaviour. (GNOME Bugzilla #566801)
  * http://ftp.gnome.org/pub/GNOME/sources/gdl/2.25/gdl-2.25.92.news
- Replaced 'BuildRequires: libgnomeui-devel' with
  'BuildRequires: libglade2-devel'.
- Dropped COPYING because it contains GPLv3, which does not tally with the
  license notices in the source code.

* Wed Feb 25 2009 Debarshi Ray <rishi@fedoraproject.org> - 2.25.91-1
- Version bump to 2.25.91.
  * Updated documentation.
- Removed 'Provides: anjuta-gdl' and 'Obsoletes: anjuta-gdl'.
- Removed 'Requires: gtk2-devel pkgconfig' from libgdl-devel. Let rpm-4.6
  autogenerate them.

* Tue Oct 28 2008 Debarshi Ray <rishi@fedoraproject.org> - 2.24.0-2
- Updated Source0 URL.

* Fri Oct 24 2008 Debarshi Ray <rishi@fedoraproject.org> - 2.24.0-1
- Version bump to 2.24.0.
  * Smaller icons to waste less space.
  * Ported to GLib IO. (GNOME Bugzilla #513845)
  * Ported to GtkTooltip. (GNOME Bugzilla #457562)
  * Translation updates: da, tr, el, it, zh_TW, zh_HK, ru, ar, vi, bg, th, ps,
    sq, pt_BR and mr.
- Rpaths removed by upstream.
- libgdl-gnome-1.so has been dropped.

* Tue Mar 18 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.7.11-1
- Version bump to 0.7.11. (Red Hat Bugzilla #437556)
  * Translation updates: hu, pt_BR, fr, mk, es, lt, hi, uk and cs.
  * http://ftp.gnome.org/pub/GNOME/sources/gdl/0.7/gdl-0.7.11.news

* Sun Mar 02 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.7.10-1
- Version bump to 0.7.10.
  * Added gtk-doc documentation (12% coverage).
  * Avoided critical warnings from GLib.
  * Translation updates: si, sv, pt, fi, ne, ca, gl, pl, en_GB, es, eu, ar,
    nl, th tr and de.
  * http://ftp.gnome.org/pub/GNOME/sources/gdl/0.7/gdl-0.7.10.news
  * http://ftp.gnome.org/pub/GNOME/sources/gdl/0.7/gdl-0.7.9.news
- Added 'BuildRequires: gtk-doc' on Fedora 7.
- Added 'Requires: gtk-doc' for libgdl-devel.
- Replaced 'BuildRequires: chrpath' with 'BuildRequires: libtool' for removing
  rpaths.

* Sun Feb 03 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.7.8-2
- Omitted unused direct shared library dependencies.

* Sun Jan 28 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.7.8-1
- Version bump to 0.7.8.
  * Smaller icons to waste less space.
  * Backported several small improvements from MonoDevelop.
  * Translation updates: es, vi, ar, sl, bg, ko, nb, oc, ar, eu, sv and uk.
  * http://ftp.gnome.org/pub/GNOME/sources/gdl/0.7/gdl-0.7.8.news
- Fixed gdl-1.0.pc.in and gdl-gnome-1.0.pc.in by trimming 'Requires' list.

* Sat Dec 15 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.7.7-1
- Initial build. Imported SPEC from Rawhide and renamed as libgdl from
  anjuta-gdl.
  * Fixed crash when maximizing already removed widget. (GNOME Bugzilla
    #317004)
  * Fixed crash in button layout.
  * http://ftp.gnome.org/pub/GNOME/sources/gdl/0.7/gdl-0.7.7.news
